<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');
/* Author: Jorge Torres
 * Description: Login controller class
 */

class Error404 extends MY_Controller {
    public function __construct() {
        parent::__construct();
    }

    public function index() {
        $heading = $heading ?? '404';
        $message = $message ?? '找不到資料';
        log_message('error', sprintf("%s %s", $heading, $message));
        if ($this->session->userdata('validated')) {
            $this->view('/backend/errors/error_404', []);
        }
        $this->load->view('/errors/html/error_404');
    }
}
